
<Library FileName="Swarms.dll">
      <Function Help="Makes a swarm resource the shape of a cube raster." Name="MakeCubeSwarm">
        <Param Name="TXT Name"/>
        <Param Name="Points"/>
        <Param Name="Size"/>
        <Param Name="Filled"/>
      </Function>
      <Function Help="Makes a swarm resource the shape of a sphere." Name="MakeSphereSwarm">
        <Param Name="TXT Name"/>
        <Param Name="Radius"/>
        <Param Name="Ribs"/>
        <Param Name="PointsPerRib"/>
      </Function>
      <Function Help="Makes a swarm resource with the shape and movement of a starfield." Name="MakeStarfieldSwarm">
        <Param Name="TXT Name"/>
        <Param Name="Points"/>
        <Param Name="Size"/>
        <Param Name="Speed"/>
      </Function>
      <Function Help="Makes a swarm resource with sine waves." Name="MakeSineSwarm">
        <Param Name="TXT Name"/>
        <Param Name="Points"/>
        <Param Name="Distance"/>
        <Param Name="HeightX"/>
	<Param Name="NrWavesX"/>
	<Param Name="OffsetX"/>
	<Param Name="HeightY"/>
	<Param Name="NrWavesY"/>
	<Param Name="OffsetY"/>
	<Param Name="HeightZ"/>
	<Param Name="NrWavesZ"/>
	<Param Name="OffsetZ"/>
      </Function>
      <Function Help="Makes a swarm resource shaped like a spiral wrapped around a torus." Name="MakeTorusSineSwarm">
        <Param Name="TXT Name"/>
        <Param Name="Points"/>
        <Param Name="Radius"/>
        <Param Name="Degrees"/>
	<Param Name="Width"/>
	<Param Name="Spiral"/>
	<Param Name="Offset"/>

      </Function>
      <Function Help="Makes a swarm resource shaped like a Spirograph." Name="MakeSpiroSwarm">
	<Param Name="TXT Name"/>
        <Param Name="Points"/>
        <Param Name="Radius"/>
	<Param Name="Radius2"/>
	<Param Name="Position"/>
        <Param Name="Degrees"/>
	<Param Name="Height"/>
	<Param Name="NrWaves"/>
	<Param Name="Offset"/>
      </Function>
				
      <Function Help="Combines two swarms into a new swarm." Name="AddSwarms">
        <Param Name="TXT Name"/>
        <Param Name="TXT Swarm1"/>
        <Param Name="TXT Swarm2"/>
      </Function>
      <Function Help="Split a swarm in two new ones." Name="SplitSwarm">
        <Param Name="TXT Name"/>
        <Param Name="TXT Name2"/>
        <Param Name="TXT Swarm"/>
        <Param Name="Split after"/>
      </Function>
      <Function Help="Move a swarm around in 3D space." Name="MoveSwarm">
        <Param Name="TXT Name"/>
        <Param Name="TXT Original"/>
        <Param Name="ChangeOriginal"/>
        <Param Name="VecX"/>
        <Param Name="VecY"/>
        <Param Name="VecZ"/>
        <Param Name="QuatX"/>
        <Param Name="QuatY"/>
        <Param Name="QuatZ"/>
        <Param Name="QuatW"/>
        <Param Name="Scale"/>
      </Function>
      <Function Help="Changes the color of an existing swarm." Name="ColorSwarm">
        <Param Name="TXT Swarm"/>
        <Param Name="Red"/>
        <Param Name="Green"/>
        <Param Name="Blue"/>
      </Function>
      <Function Help="Changes the color of an existing swarm between two colors" Name="ColorSwarmBetween">
        <Param Name="TXT Swarm"/>
        <Param Name="Red1"/>
        <Param Name="Green1"/>
        <Param Name="Blue1"/>
        <Param Name="Red2"/>
        <Param Name="Green2"/>
        <Param Name="Blue2"/>
        <Param Name="RandomSeed"/>
      </Function>
      <Function Help="Make a new swarm that morphs between two existing swarms." Name="MorphSwarms">
        <Param Name="TXT Name"/>
        <Param Name="TXT Swarm1"/>
        <Param Name="TXT Swarm2"/>
        <Param Name="Morph"/>
        <Param Name="Delay"/>
      </Function>

      <Function Help="Make a new swarm in the form of a bezier curve." Name="MakeBezierSwarm">
        <Param Name="TXT Name"/>
        <Param Name="Points"/>
        <Param Name="VecX1"/>
        <Param Name="VecY1"/>
        <Param Name="VecZ1"/>
	<Param Name="VecX2"/>
        <Param Name="VecY2"/>
        <Param Name="VecZ2"/>
	<Param Name="VecX3"/>
        <Param Name="VecY3"/>
        <Param Name="VecZ3"/>
	<Param Name="VecX4"/>
        <Param Name="VecY4"/>
        <Param Name="VecZ4"/>
	<Param Name="Debug"/>
      </Function>
    </Library>


